#pragma once

#define SCRIPT_SELECT 3

int buildScript();

#ifdef DO_CUSTOM_PRESENT
void customPresent(
	CONST RECT* pSourceRect,
	CONST RECT* pDestRect,
	HWND hDestWindowOverride,
	CONST RGNDATA* pDirtyRegion);
#endif

#ifdef DO_CUSTOM_SCRIPT_HOOK
void customScriptHook(DWORD timerDelta);
#endif

#ifdef DO_CUSTOM_KEYS
bool customKeyHook(
	HWND hWnd,
	UINT uMsg,
	WPARAM wParam,
	LPARAM lParam);
#endif

#ifdef DO_GXT_HOOK
const char* __stdcall customStrings(const char* gxtLabel);
#endif

#ifdef DO_FULL_THREAD_CONTROL
bool customThreadFilter(struct GTASA_SCRIPT_THREAD* pGst);
#endif